# Feedbackflow Browser JS Library

Please see [Feedbackflow Docs](https://docs.feedbackflowhq.com).
Specifically, [Quickstart/Implementation details](https://docs.feedbackflowhq.com/xm-and-surveys/surveys/website-app-surveys/quickstart).

## What is Feedbackflow

Feedbackflow is your go-to solution for in-product micro-surveys that will supercharge your product experience! 🚀 For more information please check out [feedbackflowhq.com](https://feedbackflowhq.com).

## How to use this library

1. Install the Feedbackflow package inside your project using npm:

```bash
npm install @feedbackflow/js
```

1. Import Feedbackflow and initialize the widget in your main component (e.g., App.tsx or App.js):

```javascript
import feedbackflow from "@feedbackflow/js";

if (typeof window !== "undefined") {
  feedbackflow.setup({
    environmentId: "your-environment-id",
    appUrl: "https://app.feedbackflowhq.com",
  });
}
```

Replace your-environment-id with your actual environment ID. You can find your environment ID in the **Setup Checklist** in the Feedbackflow settings. If you want to use the user identification feature, please check out [our docs for details](https://docs.feedbackflowhq.com/xm-and-surveys/surveys/website-app-surveys/user-identification).

For more detailed guides for different frameworks, check out our [Framework Guides](https://docs.feedbackflowhq.com/xm-and-surveys/surveys/website-app-surveys/framework-guides).
