declare const formbricks: TFormbricks;
export default formbricks;

declare const formbricks_2: {
    /** @deprecated Use setup() instead. This method will be removed in a future version */
    init: (initConfig: TLegacyConfigInput) => Promise<void>;
    setup: (setupConfig: TConfigInput) => Promise<void>;
    setEmail: (email: string) => Promise<void>;
    setAttribute: (key: string, value: string) => Promise<void>;
    setAttributes: (attributes: Record<string, string>) => Promise<void>;
    setLanguage: (language: string) => Promise<void>;
    setUserId: (userId: string) => Promise<void>;
    track: (code: string) => Promise<void>;
    logout: () => Promise<void>;
    registerRouteChange: () => Promise<void>;
};

declare interface TConfigInput {
    environmentId: string;
    appUrl: string;
}

declare type TFormbricks = typeof formbricks_2;

declare interface TLegacyConfigInput {
    apiHost: string;
    environmentId: string;
    userId?: string;
    attributes?: Record<string, string>;
}

export { }


declare global {
    interface Window {
        feedbackflow: TFormbricks | undefined;
    }
}
